link: release/32433
meta:
  added_date: 2025-03-21T08:32
  edited_date: 2025-03-21T08:41
  fetched_date: 2025-12-07T18:34
  ttl: 86400
  visitors: 54
name: Alien Hominid
picture_full: https://media.vgm.io/releases/33/32433/32433-1742574785.png
picture_small: https://thumb-media.vgm.io/releases/33/32433/32433-1742574785.png
product_albums: []
release_albums: []
type: Game Release
vgmdb_link: https://vgmdb.net/db/release.php?id=32433
